<?php

namespace SimpleDBAL;

use PDO;
use PDOException;

class Database extends PDO {
    private $db;

    private $stmt;

    /**
     * Database constructor.
     * @param array $config
     */
    public function __construct($config)
    {
        $dsn = $config['dbext']. ":host=".$config['dbhost'].";dbname=".$config['dbname'].";charset=".$config['dbchar'];

        try {
             parent::__construct($dsn, $config['dbuser'], $config['dbpass']);
        } catch (PDOException $e) {
            print($e);
        }
    }
}